Subject: Re: [bug#49329] [PATCH 1/4] gnu: python2-renpy: Drop unused Ren'py sources.

From: Leo Prikler <[email-masked]>
Date: Sat, 03 Jul 2021 10:35:05 +0200

Hi simon,

Am Samstag, den 03.07.2021, 09:50 +0200 schrieb zimoun:
> Hi Leo,
> 
> Just a general comment about Python 2. :-)
> 
> On Fri, 02 Jul 2021 at 15:58, Leo Prikler <
> [email-masked]> wrote:
> 
> > * gnu/packages/game-development.scm (python2-
> > renpy)[#:phases]<install>:
> 
> Is Ren’py working only with Python 2?  Or does it also work with
> Python
> 3?  Because Python 2 is EOL, officially since January 2020, if Ren’py
> is
> Python 2 only, maybe it could go to the channel guix-past [1], soon
> or
> later. :-) WDYT?
> 
> 1: <https://gitlab.inria.fr/guix-hpc/guix-past>
Ren'py does have a Python 3 compatibility layer, but I haven't gone
around to doing a pure Python 3 build yet.  I imagine it could also be
used with Tauthon[1], which was suggested to be used as python2
replacement in places where projects can't trivially be ported to the
newer python 3 stuffs.

Furthermore, Ren'py 8 will use Python 3 as a base.  I don't know if
it'll be backwards compatible with Ren'py 7 then – probably not.  If
not, moving Ren'py 7 to Guix-Past sounds like a good idea.

I must admit, I haven't been following the Python 2 removal plan too
closely.  Is it already time to move working leaf packages?

Cheers,
Leo

[1] https://github.com/naftaliharris/tauthon